﻿using GridExport.UserControls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace GridExport
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (IsPostBack)
            {
                lv.Controls.Clear();

                var di = (DatosInforme)LoadControl("~/UserControls/DatosInforme.ascx");

                di.ID = "Direct";

                var datos = LoadData();

                di.SetDataSource(datos);

                lv.Controls.Add(di);

                //var di2 = (DatosInforme)LoadControl("~/UserControls/DatosInforme.ascx");
                //di2.SetDataSource(datos);

                //lv.Controls.Add(di2);
            }
        }

        private List<Orders> LoadData()
        {
            List<Orders> order = new List<Orders>();
            order.Add(new Orders(1, "Nancy", "Sales Representative", "Seattle", "USA", true));
            order.Add(new Orders(2, "Andrew", "Vice President, Sales", "Tacoma", "USA", true));
            order.Add(new Orders(3, "Janet", "Sales Representative", "Kirkland", "USA", false));
            order.Add(new Orders(4, "Margaret", "Sales Representative", "Redmond", "USA", false));
            order.Add(new Orders(5, "Steven", "Sales Manager", "London", "UK", true));
            order.Add(new Orders(6, "Michael", "Sales Representative", "London", "UK", true));
            order.Add(new Orders(7, "Robert", "Sales Representative", "London", "UK", false));
            order.Add(new Orders(8, "Laura", "Inside Sales Coordinator", "Seattle", "USA", true));
            order.Add(new Orders(9, "Anne", "Sales Representative", "London", "UK", false));

            return order;
        }

        protected void Unnamed_Click(object sender, EventArgs e)
        {
            lv.Controls.Clear();

            var di = (DatosInforme)LoadControl("~/UserControls/DatosInforme.ascx");

            di.ID = "Direct";

            var datos = LoadData();

            di.SetDataSource(datos);

            lv.Controls.Add(di);


            //var di2 = (DatosInforme)LoadControl("~/UserControls/DatosInforme.ascx");
            //di2.SetDataSource(datos);

            //lv.Controls.Add(di2);
        }
       
    }
}